<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>CSS Specificity Example with Form</title>
    <style>
        /* Stil za sve elemente unutar forme */
        form * {
            font-family: 'Lucida Grande', 'Arial', sans-serif;
        }

        /* Stil za sve inpute, tekstarea i button elemente */
        input, textarea, button {
            margin: 10px 0;
            padding: 5px;
        }

        /* Specifični stil za inpute tipa "text" */
        input[type="text"] {
            border: 2px solid #0077cc;
        }

        /* Stil za input s klasom "important" */
        input.important {
            background-color: #ffddaa;
            border-color: #ff7700;
        }

        /* Stil za button s ID-om "submit-btn" */
        #submit-btn {
            background-color: #44cc44;
            color: white;
            padding: 10px 20px;
            border: none;
            cursor: pointer;
        }

        /* Stil za button prilikom hovera */
        #submit-btn:hover {
            background-color: #66dd66;
        }

        /* Stil za disabled button */
        button:disabled {
            background-color: #cccccc;
            color: #777777;
        }

        /* Stil za elemente sa pseudo-klasom :focus */
        input:focus, textarea:focus {
            border-color: #ffaa00;
            box-shadow: 0 0 5px #ffaa00;
        }

        /* Stil za label elemente koji su direktni potomci forme */
        form > label {
            display: block;
            margin-top: 20px;
        }

        /* Stil za bilo koji element s klasom "error" unutar forme */
        form .error {
            color: #cc0000;
            font-size: 0.8em;
        }
    </style>
</head>
<body>
    <form action="#" method="post">
        <label for="name">Name:</label>
        <input type="text" id="name" class="important" placeholder="Enter your name">

        <label for="email">Email:</label>
        <input type="text" id="email" placeholder="Enter your email">

        <label for="message">Message:</label>
        <textarea id="message" rows="4" placeholder="Your message here..."></textarea><br>

        <button type="submit" id="submit-btn">Submit</button>
        <button type="button" disabled>Disabled Button</button>

        <div class="error">This is an error message!</div>
    </form>
</body>
</html>
<!--
- Svi elementi unutar form nasljeđuju font iz form *.
- Svi input, textarea i button elementi imaju marginu i padding postavljene.
- Inputi tipa "text" imaju plavi rub.
- Input s klasom "important" ima posebnu pozadinu i boju ruba.
- Gumb s ID-om "submit-btn" ima zelenu pozadinu, bijelu boju teksta i specijalni stil na hover.
- Disabled gumb ima sivu pozadinu i tekst.
- Elementi koji su u fokusu (kad je na njima kursor) dobivaju narančasti rub i sjenu.
- label elementi koji su direktni potomci forme su stilizirani da se prikazuju kao blok i imaju marginu na vrhu.
- Bilo koji element s klasom "error" unutar forme ima crvenu boju teksta i manju veličinu fonta, što je korisno za prikaz poruka o greškama.
-->
